package org.project.entity.enemies;

import org.project.abilities.InfernoBreath;
import org.project.item.armors.Armor;
import org.project.item.armors.DragonArmor;
import org.project.item.weapons.Sword;

public class Dragon extends Enemy {

    private static final String NAME = "Dragon";
    private static final int MAX_HP = 300;
    private static final int MAX_MP = 150;
    private static final int XP_REWARD = 500;
    private static final int BASE_DAMAGE = 30;

    private final Armor personalArmor = new DragonArmor();

    public Dragon() {

        super(
                NAME,
                MAX_HP,
                MAX_MP,
                XP_REWARD,
                BASE_DAMAGE,
                null,
                new Sword(),
                new InfernoBreath()
        );
    }

    @Override
    public Armor getPersonalArmor() {
        return personalArmor;
    }

    @Override
    public String toString() {
        return  "Dragon{" +
                "MAX_HP : 300 | " +
                "MAX_MP : 150 | " +
                "XP_REWARD : 500 | " +
                "BASE_DAMAGE : 30 | " +
                "personalArmor = " + personalArmor +
                '}';
    }
}
